CPU-X(1)

NAME
cpu-x - X11 Tool that gathers Information on CPU, Motherboard and more...

SYNOPSIS
cpu-x [DISPLAY] [OPTIONS]

DESCRIPTION
CPU-X is similar to CPU-Z (for MS Windows). It can be used in graphical mode by using GTK or in text-based mode by using NCurses. A dump mode is present from the command line.

DISPLAY

Available options to be used as DISPLAY:

-G, --gtk
    Start graphical user interface (GUI) (default).

-N, --ncurses
    Start text-based user interface (TUI).

-D, --dump
    Dump all data on standard output and exit.

-M, --dmidecode
    Run embedded command dmidecode and exit.

-B, --bandwidth
    Run embedded command bandwidth and exit

OPTIONS

Available options to be used as OPTIONS:

-r, --refresh
    Set custom time between two refreshes (in seconds).

-t, --tab
    Set default tab (integer).

-p, --type
    Select core type to monitor (integer).

-c, --core
    Select CPU core to monitor (integer).

-b, --cachetest
    Set custom bandwidth test for CPU caches speed (integer).

-g, --gpu
    Select default graphic card (integer).

-d, --daemon
    Start and connect to daemon.

-v, --verbose
    Verbose output.

-h, --help
    Print help and exit.

-V, --version
    Print version and exit.

--cpuid-decimal
    Print CPUID values in decimal (default is hexadeximal).

--nocolor
    Disable colored output.

-d, --debug
    Print information for debugging.

--issue-fmt
    Print required information to paste in an issue.

--keymap
    Set key mapping for NCurses mode (a[rrows]|e[macs]|i[nverted-T]|v[im])

Environment variables with influence on runtime functionality:

CPUX_ARGS
    Add default command line arguments.

CPUX_BCLK
    Enforce the bus clock.

CPUX_FORCE_FREQ_FALLBACK
    Ignore CPU frequency reported by libcpuid.

CPUX_CPUID_RAW
    Read CPUID raw data from a given file.

AUTHOR

This man page has been written by Mike Gabriel <mike.gabriel@das-netzwerkteam.de> for the Debian project but maybe used by others.